Subject: Ticket Assigned - Return
From: Babyshop <[email-masked]>
To: [email-masked]
Date: Fri, 15 Jan 2021 03:39:50 +0000

Hi Mohammad Tawfik Ali Naji Musaed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Return Gd morning
Ref- order 612225321

I ordered this Jeep walker on the 5th of Nov and called on the 8th to ask for it’s return. As of today nobody came for taking it back. I called your help center three times with the same answer that they will call the pick up services.

So I am sorry to tell you that I am very disappointed by your return services. On your message you write that it will take the courier 7to 10 days - it is now 20 days !

I am now waiting for
1 - the pick up
2 - my money back ASAP

Regards
Claudine Wehbe

Sent from my iPhone https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1753113